Hello,
I hope this simple patch sample would be of some help.

Kind regards,
Verica Lazova
Description: Allow felix-framework.sh script to run 
 with java-wrappers missing
Author: Verica Lazova <vericalcr...@gmail.com>
Last-Update: 2013-04-30



Index: felix-main-4.0.1/debian/felix-framework.sh
===================================================================
--- felix-main-4.0.1.orig/debian/felix-framework.sh	2013-04-30 03:19:11.000000000 +0200
+++ felix-main-4.0.1/debian/felix-framework.sh	2013-04-30 03:19:11.000000000 +0200
@@ -5,11 +5,16 @@
 FELIX_OPTS=""
 JAVA_OPTS="-Dfelix.config.properties=file:$FELIX_CONF"
 
-# Include the wrappers utility script
-. /usr/lib/java-wrappers/java-wrappers.sh
+if [ -f /usr/lib/java-wrappers/java-wrappers.sh ] 
+then
+	# Include the wrappers utility script
+	. /usr/lib/java-wrappers/java-wrappers.sh
 
-# We need a java5 runtime
-find_java_runtime java5 java6 java7
+	# We need a java5 runtime
+	find_java_runtime java5 java6 java7
+else
+	JAVA_HOME="/usr/lib/jvm/default-java"
+fi
 
 exec $JAVA_HOME/bin/java $JAVA_OPTS -jar $FELIX_HOME/bin/felix.jar $FELIX_OPTS "$@"
 
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to